@import '~/assets/base/variables';

.slick-slider {
  display: flex !important;
  align-items: center;
  justify-content: center;
}

.slick-vertical {
  overflow: hidden;
}

.slick-arrow {
  top: auto;
  bottom: -72px;
  left: auto;
  width: 48px;
  height: 48px;
  background: $c-white;
  transform: none;

  &:hover,
  &:focus {
    background: $c-white;
  }
}

.slick-prev,
.slick-next {
  &:before {
    position: relative;
    top: -3px;
    left: 0;
  }
}

.slick-prev {
  left: auto;
  margin-right: 64px;

  &:before {
    content: '<';
    color: $c-black;
  }
}

.slick-next {
  right: auto;
  margin-left: 64px;

  &:before {
    content: '>';
    color: $c-black;
  }
}

.slick-dots {
  top: 0;
  right: 0;
  display: flex !important;
  flex-direction: column;
  width: 3px;
  background: $c-gray-2;

  li {
    width: 3px;
    height: 50px;

    button {
      width: 3px;
      height: 50px;
      padding: 0;

      &:before {
        content: '';
        left: -5px;
        width: 3px;
        height: 50px;
        background: $c-blue-3;
      }
    }
  }
}
